## wait

### Syntax:

    wait (spriteNumber, lengthOfTime);

### Purpose:

For use while creating an animation. Use this command to display a sprite for longer than one frame.

### Return value:

The function returns a structure containing both the spriteNumber and lengthOfTime data. This structure can then be used in the place of a number in the anim command. Internally, the structure is a 2-element stack.

### Example:

    # These two animations will look exactly the same
    var a = anim (1, 2, 3, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 6, 7);
    var b = anim (1, 2, 3, wait (4, 9), 5, 6, 7);

### See also:

The Multi-Purpose Stack / Array / Queue Type

animate

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012